INTERFACE
SUBROUTINE HOUSPE3AD(PFI,PVORO,PDIVO,PHGTO,KVMO,KM)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NCMAX ,NXMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KM
REAL(KIND=JPRB) ,INTENT(OUT) :: PFI(6*(NXMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORO(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVO(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHGTO(2*(NCMAX+1-KM))
INTEGER(KIND=JPIM),INTENT(IN) :: KVMO
END SUBROUTINE HOUSPE3AD
END INTERFACE
